﻿.no-radius {
    border-radius: 0 !important;
}

.chat-popup {
    position: fixed;
    bottom: 0;
    right: 0;
    width: 600px;
    height: 100%;
    border-radius: 10px;
    background: #fff;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    display: none;
    flex-direction: column;
    z-index: 1050;
}

.chat-header {
    padding: 8px 12px;
    background: #f8f9fa;
    border-bottom: 1px Solid rgba(0, 0, 0, 0.07) !important;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px 10px 0 0;
}

.chat-body {
    flex: 1;
    overflow-y: auto;
    padding: 10px;
}

.chat-footer {
    border-top: 1px Solid rgba(0, 0, 0, 0.07) !important;
    padding: 10px;
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.chat-message.user {
    text-align: right;
    margin-bottom: 10px;
}

    .chat-message.user .message {
        display: inline-block;
        background: #f4f7fd;
        padding: 8px 12px;
        border-radius: 10px;
        max-width: 70%;
        text-align: left;
        word-wrap: break-word;
    }

.chat-message.bot {
    margin-bottom: 10px;
}

    .chat-message.bot .message {
        display: inline-block;
        padding: 8px 12px;
    }

        .chat-message.bot .message .message-content {
            width: 90%;
        }

.bot-actions {
    display: flex;
    gap: 5px;
    margin-top: 4px;
}

.toggle-group .btn {
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .toggle-group .btn.active {
        background-color: #0d6efd;
        color: #fff;
    }

.fullscreen {
    position: fixed !important;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100% !important;
    height: 100% !important;
    border-radius: 0 !important;
    padding: 0;
}

.no-border {
    border: none !important;
}



.ai-textarea {
    overflow-y: auto; /* scroll textarea içinde */
    resize: none;
}


.disabled-block {
    pointer-events: none;
    opacity: 0.5;
    filter: grayscale(70%);
    cursor: not-allowed;
}

.typing-cursor {
    display: inline-block;
    width: 10px;
    height: 10px;
    background-color: black;
    margin-left: 2px;
    animation: blink 1s step-start infinite;
    border-radius: 100%;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
}

.ia-textarea-buttons .btn-check:checked + .btn-outline-secondary {
    background-color: rgba(0, 0, 0, 0.20);
}



.ia-textarea-buttons .btn-outline-secondary:hover {
    box-shadow: 0px 0px 0px 1px #ddd;
    background-color: #f2f1f0 !important;
}


.file-list-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
}

.file-item {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: rgba(0, 0, 0, 0.88);
    font-size: 12px;
    list-style: none;
    display: inline-block;
    height: auto;
    margin-inline-end: 8px;
    padding-inline: 7px;
    white-space: nowrap;
    background: #fafafa;
    border: 1px solid #d9d9d9;
    border-radius: 1.5px;
    opacity: 1;
    transition: all 0.2s;
    text-align: start;
    position: relative;
}
